Index: src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java	(revision 4698)
@@ -48,7 +48,7 @@
 import org.xml.sax.SAXException;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
@@ -354,7 +354,7 @@
 				// initialize namespace hash for in line data
 				inlineDataNameSpace = new Hashtable<String, String>();
 				// initialize file writer
-				String docidWithoutRev = MetaCatUtil.getDocIdFromString(docid);
+				String docidWithoutRev = MetacatUtil.getDocIdFromString(docid);
 				String seperator = ".";
 				try {
 					seperator = PropertyService.getProperty("document.accNumSeparator");
@@ -397,7 +397,7 @@
 						&& (processAdditionalAccess || processOtherAccess || processTopLevelAccess)) {
 					// stored the pull out nodes into storedNode stack
 					NodeRecord nodeElement = new NodeRecord(-2, -2, -2, "TEXT", null,
-							null, MetaCatUtil.normalize(textBuffer.toString()));
+							null, MetacatUtil.normalize(textBuffer.toString()));
 					storedAccessNodeStack.push(nodeElement);
 
 				}
@@ -639,13 +639,13 @@
 					&& (processAdditionalAccess || processOtherAccess || processTopLevelAccess)) {
 				// stored the pull out nodes into storedNode stack
 				NodeRecord nodeElement = new NodeRecord(-2, -2, -2, "ELEMENT", localName,
-						prefix, MetaCatUtil.normalize(null));
+						prefix, MetacatUtil.normalize(null));
 				storedAccessNodeStack.push(nodeElement);
 				for (int i = 0; i < atts.getLength(); i++) {
 					String attributeName = atts.getQName(i);
 					String attributeValue = atts.getValue(i);
 					NodeRecord nodeAttribute = new NodeRecord(-2, -2, -2, "ATTRIBUTE",
-							attributeName, null, MetaCatUtil.normalize(attributeValue));
+							attributeName, null, MetacatUtil.normalize(attributeValue));
 					storedAccessNodeStack.push(nodeAttribute);
 				}
 
@@ -966,10 +966,10 @@
 						data = (textBuffer.toString()).trim();
 						handleOnlineUrlDataFile(data);
 						/*
-						 * if (data != null && (data.indexOf(MetaCatUtil
+						 * if (data != null && (data.indexOf(MetacatUtil
 						 * .getProperty("httpserver")) != -1 || data
-						 * .indexOf(MetaCatUtil .getProperty("server")) != -1)) { //
-						 * Get docid from url String dataId = MetaCatUtil
+						 * .indexOf(MetacatUtil .getProperty("server")) != -1)) { //
+						 * Get docid from url String dataId = MetacatUtil
 						 * .getDocIdWithRevFromOnlineURL(data); // add to vector
 						 * onlineDataFileIdVector.add(dataId); }//if
 						 */
@@ -1000,7 +1000,7 @@
 						&& (processAdditionalAccess || processOtherAccess || processTopLevelAccess)) {
 					// stored the pull out nodes into storedNode stack
 					NodeRecord nodeElement = new NodeRecord(-2, -2, -2, "TEXT", null,
-							null, MetaCatUtil.normalize(textBuffer.toString()));
+							null, MetacatUtil.normalize(textBuffer.toString()));
 					storedAccessNodeStack.push(nodeElement);
 
 				}
@@ -1188,7 +1188,7 @@
 						&& (processAdditionalAccess || processOtherAccess || processTopLevelAccess)) {
 					// stored the pull out nodes into storedNode stack
 					NodeRecord nodeElement = new NodeRecord(-2, -2, -2, "COMMENT", null,
-							null, MetaCatUtil.normalize(str));
+							null, MetacatUtil.normalize(str));
 					storedAccessNodeStack.push(nodeElement);
 
 				}
@@ -1312,7 +1312,7 @@
 						&& (processAdditionalAccess || processOtherAccess || processTopLevelAccess)) {
 					// stored the pull out nodes into storedNode stack
 					NodeRecord nodeElement = new NodeRecord(-2, -2, -2, "TEXT", null,
-							null, MetaCatUtil.normalize(data));
+							null, MetacatUtil.normalize(data));
 					storedAccessNodeStack.push(nodeElement);
 
 				}
@@ -1430,7 +1430,7 @@
 							Stack<NodeRecord> newStack = accessObj
 									.getStoredTmpNodeStack();
 							// revise order
-							newStack = MetaCatUtil.reviseStack(newStack);
+							newStack = MetacatUtil.reviseStack(newStack);
 							// go throught the vector of
 							// unChangeableAccessSubtreevector
 							// and find the one whose id is as same as
@@ -1794,7 +1794,7 @@
 			throw new SAXException("The access object is null");
 		}
 		// get rid of rev from dataId
-		// dataId = MetaCatUtil.getDocIdFromString(dataId);
+		// dataId = MetacatUtil.getDocIdFromString(dataId);
 		String permOrder = accessSection.getPermissionOrder();
 		String sql = null;
 		PreparedStatement pstmt = null;
@@ -2171,7 +2171,7 @@
 		}
 
 		// if the url is not in ecogrid protocol, null will be returned
-		String accessionNumber = MetaCatUtil.getAccessionNumberFromEcogridIdentifier(url);
+		String accessionNumber = MetacatUtil.getAccessionNumberFromEcogridIdentifier(url);
 		if (accessionNumber == null) {
 			// the accession number is null if the url does not references a
 			// local data file (url would start with "ecogrid://"
@@ -2180,7 +2180,7 @@
 		} else {
 			// handle ecogrid protocol
 			// get rid of revision number to get the docid.
-			String docid = MetaCatUtil.getDocIdFromAccessionNumber(accessionNumber);
+			String docid = MetacatUtil.getDocIdFromAccessionNumber(accessionNumber);
 
 			currentDistributionSection
 					.setDistributionType(DistributionSection.DATA_DISTRIBUTION);
Index: src/edu/ucsb/nceas/metacat/RemoteDocument.java
===================================================================
--- src/edu/ucsb/nceas/metacat/RemoteDocument.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/RemoteDocument.java	(revision 4698)
@@ -27,7 +27,7 @@
 package edu.ucsb.nceas.metacat;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.HttpMessage;
 import javax.servlet.ServletOutputStream;
 
@@ -215,7 +215,7 @@
     
     // If replication doc home server is local host. throws a exception
     if (replicationDocHomeServer.
-                           equals(MetaCatUtil.getLocalReplicationServerName()))
+                           equals(MetacatUtil.getLocalReplicationServerName()))
     {
       throw new Exception ("Couldn't find the docid: "
                                           +docIdWithoutRevision+"."+revision);
Index: lib/index.jsp
===================================================================
--- lib/index.jsp	(revision 4697)
+++ lib/index.jsp	(revision 4698)
@@ -1,4 +1,4 @@
-<%@ page    language="java" import="edu.ucsb.nceas.metacat.util.MetaCatUtil" %>
+<%@ page    language="java" import="edu.ucsb.nceas.metacat.util.MetacatUtil" %>
 <%
 	/**
  *  '$RCSfile$'
@@ -45,7 +45,7 @@
 String addedParams = "";
 String redirectURI = "";
 
-if (MetaCatUtil.isMetacatConfigured()) {
+if (MetacatUtil.isMetacatConfigured()) {
     //if qformat has not been set, set its value to "DEFAULT_STYLE"
     if (qformat==null) {
       qformat = DEFAULT_STYLE;
Index: lib/style/skins/esa/ESAHeader.jsp
===================================================================
--- lib/style/skins/esa/ESAHeader.jsp	(revision 4697)
+++ lib/style/skins/esa/ESAHeader.jsp	(revision 4698)
@@ -1,6 +1,6 @@
 <%@page contentType="text/html"%>
 <%@page pageEncoding="UTF-8"%>
-<%@page import="edu.ucsb.nceas.metacat.util.MetaCatUtil"%>
+<%@page import="edu.ucsb.nceas.metacat.util.MetacatUtil"%>
 <%@ include file="../../common/common-settings.jsp"%>
 <%@ include file="../../common/configure-check.jsp"%>
 
Index: lib/style/common/configure-check.jsp
===================================================================
--- lib/style/common/configure-check.jsp	(revision 4697)
+++ lib/style/common/configure-check.jsp	(revision 4698)
@@ -1,5 +1,5 @@
 <%@ page errorPage="jsperrorpage.html"%>
-<%@page import="edu.ucsb.nceas.metacat.util.MetaCatUtil"%>
+<%@page import="edu.ucsb.nceas.metacat.util.MetacatUtil"%>
 <%
 	 /**
 	 *   '$RCSfile$'
@@ -27,7 +27,7 @@
 %>
 
 <%
-if (!MetaCatUtil.isMetacatConfigured()) {
+if (!MetacatUtil.isMetacatConfigured()) {
 %>
 	<jsp:forward page="/metacat" />
 <%
Index: src/edu/ucsb/nceas/metacat/QuerySpecification.java
===================================================================
--- src/edu/ucsb/nceas/metacat/QuerySpecification.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/QuerySpecification.java	(revision 4698)
@@ -36,7 +36,7 @@
 import java.util.Stack;
 import java.util.Vector;
 
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import org.apache.log4j.Logger;
 import org.xml.sax.Attributes;
@@ -629,7 +629,7 @@
               queryTitle = textBuffer.toString().trim();
         } else if (leaving.getTagName().equals("value")) {
               currentValue = textBuffer.toString().trim();
-              currentValue = MetaCatUtil.normalize(currentValue);
+              currentValue = MetacatUtil.normalize(currentValue);
         } else if (leaving.getTagName().equals("pathexpr")) {
               currentPathexpr = textBuffer.toString().trim();
         } else if (leaving.getTagName().equals("returndoctype")) {
@@ -645,7 +645,7 @@
         }
         String normalizedXML = textBuffer.toString().trim();
         logMetacat.debug("================before normailze "+normalizedXML);
-        normalizedXML =  MetaCatUtil.normalize(normalizedXML);
+        normalizedXML =  MetacatUtil.normalize(normalizedXML);
         logMetacat.debug("================after normailze "+normalizedXML);
         xml.append(normalizedXML);
         xml.append("</");
@@ -985,7 +985,7 @@
         	{
         		elementVector.add(path);
         	}       	
-            if(!MetaCatUtil.pathsForIndexing.contains(path)){
+            if(!MetacatUtil.pathsForIndexing.contains(path)){
                 usePathIndex = false;              
             }
          
Index: src/edu/ucsb/nceas/metacat/MetacatReplication.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetacatReplication.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/MetacatReplication.java	(revision 4698)
@@ -40,7 +40,7 @@
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.service.SessionService;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.SessionData;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.FileUtil;
@@ -626,13 +626,13 @@
       logMetacat.info("Force replication action: "+dbaction);
       // sending back read request to remote server
       URL u = new URL("https://" + server + "?server="
-                +MetaCatUtil.getLocalReplicationServerName()
+                +MetacatUtil.getLocalReplicationServerName()
                 +"&action=read&docid=" + docid);
       String xmldoc = MetacatReplication.getURLContent(u);
 
       // get the document info from server
       URL docinfourl = new URL("https://" + server +
-                               "?server="+MetaCatUtil.getLocalReplicationServerName()
+                               "?server="+MetacatUtil.getLocalReplicationServerName()
                                +"&action=getdocumentinfo&docid=" + docid);
 
       String docInfoStr = MetacatReplication.getURLContent(docinfourl);
@@ -793,8 +793,8 @@
     try
     {
       //docid was switch to two parts uinque code and rev
-      //String uniqueCode=MetaCatUtil.getDocIdFromString(docid);
-      //int rev=MetaCatUtil.getVersionFromString(docid);
+      //String uniqueCode=MetacatUtil.getDocIdFromString(docid);
+      //int rev=MetacatUtil.getVersionFromString(docid);
       if(params.containsKey("dbaction"))
       {
         dbaction = ((String[])params.get("dbaction"))[0];
@@ -810,7 +810,7 @@
       logMetacat.info("Force replication action: "+dbaction);
       // get the document info from server
       URL docinfourl = new URL("https://" + server +
-                               "?server="+MetaCatUtil.getLocalReplicationServerName()
+                               "?server="+MetacatUtil.getLocalReplicationServerName()
                                +"&action=getdocumentinfo&docid=" + docid);
 
       String docInfoStr = MetacatReplication.getURLContent(docinfourl);
@@ -849,7 +849,7 @@
         //Get data file and store it into local file system.
         // sending back readdata request to server
         URL url = new URL("https://" + server + "?server="
-                +MetaCatUtil.getLocalReplicationServerName()
+                +MetacatUtil.getLocalReplicationServerName()
                 +"&action=readdata&docid=" + docid);
         String datafilePath = PropertyService.getProperty("application.datafilepath");
         
@@ -1041,7 +1041,7 @@
       filepath = PropertyService.getProperty("application.datafilepath");
       String server = params.get("server")[0];
       URL u = new URL("https://" + server + "?server="
-                +MetaCatUtil.getLocalReplicationServerName()
+                +MetacatUtil.getLocalReplicationServerName()
                 +"&action=test");
       String test = MetacatReplication.getURLContent(u);
       //couldn't pass the test
@@ -1146,7 +1146,7 @@
       //in the key store, this is security issue
       String server = params.get("server")[0];
       URL u = new URL("https://" + server + "?server="
-                +MetaCatUtil.getLocalReplicationServerName()
+                +MetacatUtil.getLocalReplicationServerName()
                 +"&action=test");
       String test = MetacatReplication.getURLContent(u);
       //couldn't pass the test
@@ -1242,7 +1242,7 @@
       //try to open a https stream to test if the request server's public key
       //in the key store, this is security issue
       URL u = new URL("https://" + server + "?server="
-                +MetaCatUtil.getLocalReplicationServerName()
+                +MetacatUtil.getLocalReplicationServerName()
                 +"&action=test");
       String test = MetacatReplication.getURLContent(u);
       //couldn't pass the test
@@ -1278,7 +1278,7 @@
 
       // Append local server's name and replication servlet to doclist
       doclist.append("<?xml version=\"1.0\"?><replication>");
-      doclist.append("<server>").append(MetaCatUtil.getLocalReplicationServerName());
+      doclist.append("<server>").append(MetacatUtil.getLocalReplicationServerName());
       //doclist.append(util.getProperty("replicationpath"));
       doclist.append("</server><updates>");
 
@@ -1325,7 +1325,7 @@
         while(tablehasrows)
         {
           String recordDoctype = rs.getString(3);
-          Vector<String> packagedoctypes = MetaCatUtil.getOptionList(
+          Vector<String> packagedoctypes = MetacatUtil.getOptionList(
                                      PropertyService.getProperty("xml.packagedoctype"));
           //if this is a package file, put it at the end
           //because if a package file is read before all of the files it
@@ -1373,7 +1373,7 @@
           String recordDoctype = rs.getString(3);
           if(!recordDoctype.equals("BIN"))
           { //don't replicate data files
-            Vector<String> packagedoctypes = MetaCatUtil.getOptionList(
+            Vector<String> packagedoctypes = MetacatUtil.getOptionList(
                                      PropertyService.getProperty("xml.packagedoctype"));
             if(recordDoctype != null && !packagedoctypes.contains(recordDoctype))
             {   //if this is a package file, put it at the end
@@ -1777,7 +1777,7 @@
     Hashtable<String,String> sl = new Hashtable<String,String>();
     DBConnection dbConn = null;
     int serialNumber = -1;
-    docId=MetaCatUtil.getDocIdFromString(docId);
+    docId=MetacatUtil.getDocIdFromString(docId);
     PreparedStatement pstmt=null;
     int serverLocation;
     try
@@ -1868,7 +1868,7 @@
     int serialNumber = -1;
     PreparedStatement pstmt = null;
     int serverCode = 1;
-    String docId=MetaCatUtil.getDocIdFromString(accNum);
+    String docId=MetacatUtil.getDocIdFromString(accNum);
 
     try
     {
Index: src/edu/ucsb/nceas/metacat/SubTree.java
===================================================================
--- src/edu/ucsb/nceas/metacat/SubTree.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/SubTree.java	(revision 4698)
@@ -36,7 +36,7 @@
 import org.apache.log4j.Logger;
 import org.xml.sax.SAXException;
 
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 /**
  * A Class that represents an XML Subtree
@@ -220,7 +220,7 @@
            nodename = rs.getString(5);
            nodeprefix = rs.getString(6);
            nodedata = rs.getString(7);
-           nodedata = MetaCatUtil.normalize(nodedata);
+           nodedata = MetacatUtil.normalize(nodedata);
            // add the data to the node record list hashtable
            NodeRecord currentRecord = new NodeRecord(nodeid,parentnodeid,nodeindex,
                                       nodetype, nodename, nodeprefix, nodedata);
Index: src/edu/ucsb/nceas/metacat/IndexingQueue.java
===================================================================
--- src/edu/ucsb/nceas/metacat/IndexingQueue.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/IndexingQueue.java	(revision 4698)
@@ -34,7 +34,7 @@
 import java.lang.Comparable;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import org.apache.log4j.Logger;
Index: src/edu/ucsb/nceas/metacat/DocumentIdQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentIdQuery.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/DocumentIdQuery.java	(revision 4698)
@@ -31,114 +31,111 @@
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
- * Generate a pathquery document representing a metacat query for a list of 
+ * Generate a pathquery document representing a metacat query for a list of
  * document IDs.
  */
-public class DocumentIdQuery
-{
+public class DocumentIdQuery {
 
-    
-    /**
-     * Create an squery parameters table using an already-initialized hashtable
-     * 
-     * @param docidList an array of document identifiers to search for
-     * @param params the hashtable to add the query parameters to.
-     * 
-     */
-    public static Hashtable createDocidQueryParams(String[] docidList, Hashtable params)
-    {
-        params = getDefaultQueryParams();
-        if (docidList != null) {
-            params.put("/eml/@packageId", docidList);
-        }
-        return params;
-    }
-    
-    
-    /**
-     * Create an squery using some preset values for the query parameters, only
-     * passing in the document ids to be searched.
-     * 
-     * @param docidList an array of document identifiers to search for
-     */
-    public static String createDocidQuery(String[] docidList) throws PropertyNotFoundException
-    {
-        String pathQuery = "";
-        Hashtable params = getDefaultQueryParams();
-        if (docidList != null) {
-            params.put("/eml/@packageId", docidList);
-        }
-        
-        pathQuery = DBQuery.createSQuery(params);
-        return pathQuery;
-    }
-    
-    /**
-     * Create a paramter list containing default parameters for a query
-     * 
-     * @return Hashtable containing the default parameters
-     */
-    public static Hashtable getDefaultQueryParams()
-    {
-        Hashtable params = new Hashtable();
-        
-        String[] operator = new String[1];
-        operator[0] = "UNION";
-        params.put("operator", operator);
-        
-        String[] doctypes = new String[5];
-        doctypes[0] = "eml://ecoinformatics.org/eml-2.0.1";
-        doctypes[1] = "eml://ecoinformatics.org/eml-2.0.0";
-        doctypes[2] = "-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN";
-        doctypes[3] = "-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN";
-        doctypes[4] = "metadata";
-        params.put("returndoctype", doctypes);
-        
-        String[] fields = new String[11];
-        fields[0]="originator/individualName/surName";
-        fields[1]="originator/individualName/givenName";
-        fields[2]="creator/individualName/surName";
-        fields[3]="creator/individualName/givenName";
-        fields[4]="originator/organizationName";
-        fields[5]="creator/organizationName";
-        fields[6]="dataset/title";
-        fields[7]="keyword";
-        fields[8]="idinfo/citation/citeinfo/title";
-        fields[9]="idinfo/citation/citeinfo/origin";
-        fields[10]="idinfo/keywords/theme/themekey";
-        params.put("returnfield", fields);
-        
-        return params;
-    }
-    
-    /**
-     * Main method used for testing the class output
-     * 
-     * @param args no arguments used in this main method
-     */
-    public static void main(String[] args)
-    {
-        String CONFIG_DIR = "lib";
-        File dirPath = new File(CONFIG_DIR);
-        try {
-        	PropertyService.getInstance(dirPath.getPath());
-        } catch (ServiceException ioe) {
-            System.err.println("Error in loading properties: "
-                    + ioe.getMessage());
-        }
-        
-        String[] ids = new String[3];
-        ids[0] = "ces_dataset.23.1";
-        ids[1] = "knb-lter-vcr.97.1";
-        ids[2] = "obfs.400.1";
-        
-        String pathquery = null;
-        try {
-        	pathquery = createDocidQuery(ids);
-        } catch (PropertyNotFoundException pnfe) {
-        	System.out.println("Could not create doc id query: " + pnfe.getMessage());
-        }
-        System.out.println(pathquery);
-    }
+	/**
+	 * Create an squery parameters table using an already-initialized hashtable
+	 * 
+	 * @param docidList
+	 *            an array of document identifiers to search for
+	 * @param params
+	 *            the hashtable to add the query parameters to.
+	 * 
+	 */
+	public static Hashtable createDocidQueryParams(String[] docidList, Hashtable params) {
+		params = getDefaultQueryParams();
+		if (docidList != null) {
+			params.put("/eml/@packageId", docidList);
+		}
+		return params;
+	}
 
+	/**
+	 * Create an squery using some preset values for the query parameters, only
+	 * passing in the document ids to be searched.
+	 * 
+	 * @param docidList
+	 *            an array of document identifiers to search for
+	 */
+	public static String createDocidQuery(String[] docidList)
+			throws PropertyNotFoundException {
+		String pathQuery = "";
+		Hashtable params = getDefaultQueryParams();
+		if (docidList != null) {
+			params.put("/eml/@packageId", docidList);
+		}
+
+		pathQuery = DBQuery.createSQuery(params);
+		return pathQuery;
+	}
+
+	/**
+	 * Create a paramter list containing default parameters for a query
+	 * 
+	 * @return Hashtable containing the default parameters
+	 */
+	public static Hashtable getDefaultQueryParams() {
+		Hashtable params = new Hashtable();
+
+		String[] operator = new String[1];
+		operator[0] = "UNION";
+		params.put("operator", operator);
+
+		String[] doctypes = new String[5];
+		doctypes[0] = "eml://ecoinformatics.org/eml-2.0.1";
+		doctypes[1] = "eml://ecoinformatics.org/eml-2.0.0";
+		doctypes[2] = "-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN";
+		doctypes[3] = "-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN";
+		doctypes[4] = "metadata";
+		params.put("returndoctype", doctypes);
+
+		String[] fields = new String[11];
+		fields[0] = "originator/individualName/surName";
+		fields[1] = "originator/individualName/givenName";
+		fields[2] = "creator/individualName/surName";
+		fields[3] = "creator/individualName/givenName";
+		fields[4] = "originator/organizationName";
+		fields[5] = "creator/organizationName";
+		fields[6] = "dataset/title";
+		fields[7] = "keyword";
+		fields[8] = "idinfo/citation/citeinfo/title";
+		fields[9] = "idinfo/citation/citeinfo/origin";
+		fields[10] = "idinfo/keywords/theme/themekey";
+		params.put("returnfield", fields);
+
+		return params;
+	}
+
+	/**
+	 * Main method used for testing the class output
+	 * 
+	 * @param args
+	 *            no arguments used in this main method
+	 */
+	public static void main(String[] args) {
+		String CONFIG_DIR = "lib";
+		File dirPath = new File(CONFIG_DIR);
+		try {
+			PropertyService.getInstance();
+		} catch (ServiceException ioe) {
+			System.err.println("Error in loading properties: " + ioe.getMessage());
+		}
+
+		String[] ids = new String[3];
+		ids[0] = "ces_dataset.23.1";
+		ids[1] = "knb-lter-vcr.97.1";
+		ids[2] = "obfs.400.1";
+
+		String pathquery = null;
+		try {
+			pathquery = createDocidQuery(ids);
+		} catch (PropertyNotFoundException pnfe) {
+			System.out.println("Could not create doc id query: " + pnfe.getMessage());
+		}
+		System.out.println(pathquery);
+	}
+
 }
